function [] = Preprocess_3_RemoveEmptyHITs(base_dir)
%Preprocess_3_RemoveEmptyHITs Remove HITs with no results

  input_dir = [base_dir 'processed2/'];
  output_dir = [base_dir 'processed3/'];

  [assignment_ids] = GetAssignmentIDs(input_dir);
        
  for ii = 1:numel(assignment_ids)
    curr_assignment_id = assignment_ids{ii};
    
    current_assignment_files = dir([input_dir curr_assignment_id '*']);
    current_assignment_files = {current_assignment_files.name};
    
    % if we find at least 1 annotation, we copy the assignment and move on
    for jj = 1:numel(current_assignment_files)
      current_assignment_file = current_assignment_files{jj};
      img = imread([input_dir current_assignment_file]);
      
      if any(img(:))
        CopyListOfFiles(current_assignment_files, input_dir, output_dir);
        break;
      end
    end
  end
end

function [] = CopyListOfFiles(file_list, input_dir, output_dir)
  for ii = 1:numel(file_list)
    copyfile([input_dir file_list{ii}], output_dir);
  end
end